package xyz.leomurca.csgomatches.ui.navigation

import androidx.navigation.NavGraphBuilder
import androidx.navigation.compose.composable
import androidx.navigation.toRoute
import kotlinx.serialization.Serializable
import xyz.leomurca.csgomatches.ui.screens.details.DetailsScreen

@Serializable
data class DetailsRoute(
    val leftOpponentId: Long,
    val rightOpponentId: Long,
    val leagueAndSerieName: String,
    val scheduleString: String
)

fun NavGraphBuilder.detailsScreen(onBackClick: () -> Unit) {
    composable<DetailsRoute> {
        val details: DetailsRoute = it.toRoute()
        DetailsScreen(details = details, onBackClick = onBackClick)
    }
}
